<script type="text/javascript">
	$(document).ready(function(){
	$("#input_bon").hide();
	
	$('#mulai').focus();
	
	$('#mulai').click(function(){
		cari_tgl();
		cari_itf();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggaljt").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/terima_bbm/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_prem").val(data.prem);
				$("#txt_solar").val(data.solar);
				$("#txt_ptmx").val(data.ptmx);
				$("#txt_ptmp").val(data.ptmp);
				$("#txt_ptlt").val(data.ptlt);
				$("#txt_dex").val(data.dex);
				$("#txt_dexlite").val(data.dexlite);
				$("#txt_solek").val(data.solek);
			}
		});
	}
	
	$('#form_cari_do').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_kodedo').keyup(function(){
	    cari_nomor();
		cari_do();
		$('#form_cari_do').dialog('open');
	});
	
	$('#txt_kodedo').click(function(){
		cari_nomor();
		cari_do();
		$('#form_cari_do').dialog('open');
	});
	
	function cari_nomor(){
		var tanggal	= $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/terima_bbm/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var tanggal = $("#txt_tanggal").val();
		$("#data_detail").load('modul/terima_bbm/tampil_data_detail.php?tanggal='+tanggal);
	}
	
	function cari_do(){
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/terima_bbm/tampil_data_do.php",
			data	: "no="+no,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_do").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_do").html(data);				
			}
		});
	}
	
	$('#txt_jmlliter').keyup(function(){
		hitung_total();	
	});
	
	function hitung_total(){
		var jliter = $("#txt_jmlliter").val();
		var hgbeli = $("#txt_hgbeli").val();		
		var jumlah = parseInt(jliter)*parseInt(hgbeli);
		
		$("#txt_jumlah").val(jumlah);
	}
			
	$('#simpan').click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var kode		= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodedo = $("#txt_kodedo").val();
		var jenis  	= $("#txt_jenis").val();
		var jmlliter	= $("#txt_jmlliter").val();
		var hgbeli 	= $("#txt_hgbeli").val();
		var jumlah	= $("#txt_jumlah").val();
		var tanki 	= $("#txt_tanki").val();
		
		var error = false;

		if(kode.length == 0){
           var error = true;
           alert("Maaf, Form input belum diisi secara lengkap.");
		   $("#txt_tanggal").focus();
		   return (false);
        }
		
		if(kodedo.length == 0){
           var error = true;
           alert("Maaf, Kode penebusan masih kosong.");
		   $("#txt_kodedo").focus();
		   return (false);
        }
		 
		if(error == false){			
		$.ajax({
			type	: "POST",
			url		: "modul/terima_bbm/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodedo="+kodedo+
					"&jenis="+jenis+
					"&jmlliter="+jmlliter+
					"&hgbeli="+hgbeli+
					"&jumlah="+jumlah+
					"&tanki="+tanki,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input").val('');
				$("#txt_tanggal").focus();
				tampil_data_detail();
			}
		});
		}
	}
		
	$("#batal").click(function(){
		batal_bbm();
	});
	
	function batal_bbm(){
		var kode= $("#txt_kode").val();
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var kode	= $("#txt_kode").val();			
			$.ajax({
				type	: "POST",
				url		: "modul/setor_bbm/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$('#data_detail').hide();
				}
			});
		}
	}
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php

echo "<table width='100%'>
	<tr>
		<input type='text' name='txt_kodelm' id='txt_kodelm' hidden />
		<input type='text' name='txt_prem' id='txt_prem' hidden />
		<input type='text' name='txt_solar' id='txt_solar' hidden />
		<input type='text' name='txt_ptmx' id='txt_ptmx' hidden />
		<input type='text' name='txt_ptmp' id='txt_ptmp' hidden />
		<input type='text' name='txt_ptlt' d='txt_ptlt' hidden />
		<input type='text' name='txt_dex' id='txt_dex' hidden />
		<input type='text' name='txt_dexlite' id='txt_dexlite' hidden />
		<input type='text' name='txt_solek' id='txt_solek' hidden />
		
		<td width='10%'>Kode Penerimaan</td>
		<td width='12%'>: <input type='text' name='txt_kode' id='txt_kode' size='10' class='input' readonly /></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' ></td>
		<td>Kode DO : <input type='text' name='txt_kodedo' id='txt_kodedo' size='10' class='input' ></td>
		<td>Jenis BBM : <input name='txt_jenis' id='txt_jenis' size='17' class='input' class='input' ></td>
		<td>Jumlah Liter : <input type='text' name='txt_jmlliter' id='txt_jmlliter' size='5' class='input' ></td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
	    <td width='10%'>Harga Beli</td>
	    <td width='12%'>: <input type='text' name='txt_hgbeli' id='txt_hgbeli' size='9' class='input' readonly /></td>
		<td>Jumlah Harga : <input type='text' name='txt_jumlah' id='txt_jumlah' size='12' class='input' readonly /></td>
		<td>Tanki Penampung : <select name='txt_tanki' id='txt_tanki' class='input' >
			<option>1</option>
			<option>2</option>
			<option>3</option></select>
		</td>
		<td align='right'>
			<button name='simpan' id='simpan'>Rekam</button>
			<button name='mulai' id='mulai'>Input</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";

echo "<div id='data_detail' align='center'><div>";

echo "<div id='form_cari_do' title='Pencarian DO BBM'>
		<div id='info_do' align='center'></div>
	</div>";
?>